ome-files 0.2.2

Public Types | Public Member Functions | Public Attributes | List of all members
ome::files::Modulo Class Reference

A subdimension of Z, C, or T. More...

`#include <ome/files/Modulo.h>`

Collaboration diagram for ome::files::Modulo:
[legend]

## Public Types
typedef std::vector< std::string >::size_type | size_type
| Size of the subdimension.

## Public Member Functions
| Modulo (std::string dimension)
| Constructor. More...
size_type | size () const
| Get the size of this subdimension. More...
std::string | toXMLAnnotation () const
| Convert to XML string. More...

## Public Attributes
std::string | parentDimension
| Parent dimension being subdivided.
double | start
| Start value.
double | step
| Step size.
double | end
| End value.
std::string | parentType
| Type of the parent dimension.
std::string | type
| Type of the subdimension.
std::string | typeDescription
| Type description of the subdimension.
std::string | unit
| Unit of the subdimension.
std::vector< std::string > | labels
| Labels along the subdimension.

## Detailed Description

A subdimension of Z, C, or T.

Needed to support Modulo annotations. See http://www.openmicroscopy.org/site/support/ome-model/developers/6d-7d-and-8d-storage.html

## Constructor & Destructor Documentation

## § Modulo()

ome::files::Modulo::Modulo | ( | std::string | dimension | ) |

Constructor.

Parameters

  dimension | the parent dimension.

## Member Function Documentation

## § size()

Modulo::size_type ome::files::Modulo::size | ( |  | ) | const

Get the size of this subdimension.

This is the number of discrete samples along this dimension, between the start and end points, separated by step size increments.

Returns
  the subdimension size.

Todo:
  Use proper rounding (compat function for round(3)).

References end, labels, start, and step.

## § toXMLAnnotation()

std::string ome::files::Modulo::toXMLAnnotation | ( |  | ) | const

Convert to XML string.

The object is serialized to an XML text representation. This is suitable for embedding in an ome::xml::model::XMLAnnotation, for example.

Returns
  a string containing the XML.

References end, labels, parentDimension, start, step, type, typeDescription, and unit.

The documentation for this class was generated from the following files:

- ome/files/Modulo.h
- ome/files/Modulo.cpp